明经CAD社区

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 756|回复: 3

大神帮忙看下

[复制链接]
发表于 2023-10-25 09:01:23 | 显示全部楼层 |阅读模式




(defun c:ddd()
   (setvar "cmdecho" 0)
   (setq pt (getpoint "\n 选择标注基点平齐点"))
   (setq ptx (car pt))
   (setq pty (cadr pt))
   (command "DIMLINEAR")
   (setq en (entlast))

   (setq zongbiao (entget  en))

                  (setq oldzibiao1 (assoc 13 zongbiao))
                  (setq oldzibiao2 (assoc 14 zongbiao))
                           (setq pt1 (cdr oldzibiao1))
                           (setq pt2 (cdr oldzibiao2))
                          (setq pt1X1 (car pt1))
                          (setq pt1Y1 (cadr pt1))
                          (setq pt2X1 (car pt2))
                          (setq pt2Y1 (cadr pt2))

                          (setq newpt1  (list  pt1X1  pty (caddr pt1)))
                          (setq newpt2  (list  pt2X1  pty (caddr pt2)))

                          (setq newzibiao1 (cons 13 newpt1 ))
                          (setq newzibiao2 (cons 14 newpt2 ))

                          (setq zongbiao (subst newzibiao1  oldzibiao2  zongbiao ))
                          (setq zongbiao (subst newzibiao2  oldzibiao2  zongbiao ))
                         (entmod zongbiao)

  (prin1)
  )







本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
 楼主| 发表于 2023-10-25 09:10:38 | 显示全部楼层

本帖子中包含更多资源

您需要 登录 才可以下载或查看,没有账号?注册

x
发表于 2023-10-25 10:49:08 | 显示全部楼层
  1. (defun c:ddd(/ en newpt1 newpt2 newzibiao1 newzibiao2 oldzibiao1 oldzibiao2 pt pt1 pt1x1 pt1y1 pt2 pt2x1 pt2y1 ptx pty zongbiao)
  2.         (setvar "cmdecho" 0)
  3.         (setq pt (getpoint "\n 选择标注基点平齐点:"))
  4.         (setq ptx (car pt))
  5.         (setq pty (cadr pt))
  6.         (command "DIMLINEAR")
  7.         (while (not (zerop (getvar "cmdactive")))(command pause))
  8.         (setq en (entlast))
  9.         (setq zongbiao (entget en))
  10.         (setq oldzibiao1 (assoc 13 zongbiao))
  11.         (setq oldzibiao2 (assoc 14 zongbiao))
  12.         (setq pt1 (cdr oldzibiao1))
  13.         (setq pt2 (cdr oldzibiao2))
  14.         (setq pt1X1 (car pt1))
  15.         (setq pt1Y1 (cadr pt1))
  16.         (setq pt2X1 (car pt2))
  17.         (setq pt2Y1 (cadr pt2))
  18.         (setq newpt1 (list pt1X1 pty (caddr pt1)))
  19.         (setq newpt2 (list pt2X1 pty (caddr pt2)))
  20.         (setq newzibiao1 (cons 13 newpt1))
  21.         (setq newzibiao2 (cons 14 newpt2))
  22.         (setq zongbiao (subst newzibiao1 oldzibiao1 zongbiao))
  23.         (setq zongbiao (subst newzibiao2 oldzibiao2 zongbiao))
  24.         (entmod zongbiao)
  25.         (princ)
  26. )

评分

参与人数 1明经币 +1 收起 理由
love1030312 + 1

查看全部评分

 楼主| 发表于 2023-10-25 11:28:02 | 显示全部楼层
多谢,后面有一处错误,还有局部变量,帮忙改了,能不能解释一下 (while (not (zerop (getvar "cmdactive")))(command pause))
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号 )  
©2000-2023 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2024-11-25 04:49 , Processed in 0.154308 second(s), 24 queries , Gzip On.

Powered by Discuz! X3.4

Copyright © 2001-2021, Tencent Cloud.

快速回复 返回顶部 返回列表